Last Comment Bug 670313 - "ASSERTION: Expecting non-negative active time"
: "ASSERTION: Expecting non-negative active time"
Status: RESOLVED FIXED
[inbound]
: assertion, testcase
Product: Core
Classification: Components
Component: SVG (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla8
Assigned To: Brian Birtles (:birtles)
:
Mentors:
Depends on:
Blocks: 326633
  Show dependency treegraph
 
Reported: 2011-07-08 21:51 PDT by Jesse Ruderman
Modified: 2011-07-26 03:57 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase (288 bytes, image/svg+xml)
2011-07-08 21:51 PDT, Jesse Ruderman
no flags Details
Patch (4.70 KB, patch)
2011-07-18 19:04 PDT, Brian Birtles (:birtles)
dholbert: review+
Details | Diff | Review

Description Jesse Ruderman 2011-07-08 21:51:50 PDT
Created attachment 544949 [details]
testcase

###!!! ASSERTION: Expecting non-negative active time: 'aActiveTime >= 0', file content/smil/nsSMILTimedElement.cpp, line 1843
Comment 1 Brian Birtles (:birtles) 2011-07-18 19:04:27 PDT
Created attachment 546694 [details] [diff] [review]
Patch

Add range-checking to incoming instance times to ensure they won't overflow the range of a PRInt64.
Comment 2 Brian Birtles (:birtles) 2011-07-25 10:48:22 PDT
Pushed to m-i:
http://hg.mozilla.org/integration/mozilla-inbound/rev/cdffe4f87f4a
Comment 3 Marco Bonardo [::mak] 2011-07-26 03:57:57 PDT
http://hg.mozilla.org/mozilla-central/rev/cdffe4f87f4a

Note You need to log in before you can comment on or make changes to this bug.